

var _react=require('react');var _react2=_interopRequireDefault(_react);
var _reactNative=require('react-native');
var _reactTestRenderer=require('react-test-renderer');var _reactTestRenderer2=_interopRequireDefault(_reactTestRenderer);

var _testUtils=require('./testUtils');function _interopRequireDefault(obj){return obj&&obj.__esModule?obj:{default:obj};}

describe('ImmutableListView vs. ListView',function(){

var ImmutableListView=_testUtils.mocks.getImmutableListViewWithoutProps();

var dataSource=void 0;

beforeEach(function(){
dataSource=new _reactNative.ListView.DataSource({
rowHasChanged:function rowHasChanged(r1,r2){return r1!==r2;},
sectionHeaderHasChanged:function sectionHeaderHasChanged(s1,s2){return s1!==s2;}});

});

it('renders the same as ListView with empty data',function(){
var immutableTree=_reactTestRenderer2.default.create(
_react2.default.createElement(ImmutableListView,{
immutableData:_testUtils.data.EMPTY_DATA,
renderRow:_testUtils.renderers.renderRow})).

toJSON();

dataSource=dataSource.cloneWithRows(_testUtils.data.EMPTY_DATA.toJS());
var regularTree=_reactTestRenderer2.default.create(
_react2.default.createElement(_reactNative.ListView,{
dataSource:dataSource,
renderRow:_testUtils.renderers.renderRow})).

toJSON();

expect(immutableTree).toEqual(regularTree);
});

it('renders the same as ListView with basic List',function(){
var immutableTree=_reactTestRenderer2.default.create(
_react2.default.createElement(ImmutableListView,{
immutableData:_testUtils.data.LIST_DATA,
renderRow:_testUtils.renderers.renderRow})).

toJSON();

dataSource=dataSource.cloneWithRows(_testUtils.data.LIST_DATA.toJS());
var regularTree=_reactTestRenderer2.default.create(
_react2.default.createElement(_reactNative.ListView,{
dataSource:dataSource,
renderRow:_testUtils.renderers.renderRow})).

toJSON();

expect(immutableTree).toEqual(regularTree);
});

it('renders the same as ListView with basic Map',function(){
var immutableTree=_reactTestRenderer2.default.create(
_react2.default.createElement(ImmutableListView,{
immutableData:_testUtils.data.MAP_DATA,
renderRow:_testUtils.renderers.renderRow})).

toJSON();

dataSource=dataSource.cloneWithRows(_testUtils.data.MAP_DATA.toJS());
var regularTree=_reactTestRenderer2.default.create(
_react2.default.createElement(_reactNative.ListView,{
dataSource:dataSource,
renderRow:_testUtils.renderers.renderRow})).

toJSON();

expect(immutableTree).toEqual(regularTree);
});
});